# This file contains a module that is used to assist in testing this gem.

#--
################################################################################
#                      Copyright (C) 2011 Travis Herrick                       #
################################################################################
#                                                                              #
#                                 \v^V,^!v\^/                                  #
#                                 ~%       %~                                  #
#                                 {  _   _  }                                  #
#                                 (  *   -  )                                  #
#                                 |    /    |                                  #
#                                  \   _,  /                                   #
#                                   \__.__/                                    #
#                                                                              #
################################################################################
# This program is free software: you can redistribute it                       #
# and/or modify it under the terms of the GNU General Public License           #
# as published by the Free Software Foundation,                                #
# either version 3 of the License, or (at your option) any later version.      #
#                                                                              #
# Commercial licensing may be available for a fee under a different license.   #
################################################################################
# This program is distributed in the hope that it will be useful,              #
# but WITHOUT ANY WARRANTY;                                                    #
# without even the implied warranty of MERCHANTABILITY                         #
# or FITNESS FOR A PARTICULAR PURPOSE.                                         #
# See the GNU General Public License for more details.                         #
#                                                                              #
# You should have received a copy of the GNU General Public License            #
# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
################################################################################
#++

# This module is used to assist in testing this gem.
module MyModule
  class << self
    def my_public_module_method; end

    protected
    def my_protected_module_method; end

    private
    def my_private_module_method; end
  end

  public
  def my_public_instance_method; end

  protected
  def my_protected_instance_method; end

  private
  def my_private_instance_method; end

  module_function

  def my_default_module_function; end

  def my_public_module_function; end
  public :my_public_module_function

  def my_protected_module_function; end
  protected :my_protected_module_function

  def my_private_module_function; end
  private :my_private_module_function
end
